bootJar {
    archiveFileName = 'stt.jar'
}

dependencies {
    // Common module
    implementation project(':common')

    // Spring Boot starters
    implementation 'org.springframework.boot:spring-boot-starter-web'
    implementation 'org.springframework.boot:spring-boot-starter-data-jpa'
    implementation 'org.springframework.boot:spring-boot-starter-validation'
    implementation 'org.springframework.boot:spring-boot-starter-data-redis'

    // Database
    runtimeOnly 'org.postgresql:postgresql'

    // Azure Speech SDK
    implementation "com.microsoft.cognitiveservices.speech:client-sdk:${azureSpeechVersion}"

    // Azure Blob Storage
    implementation "com.azure:azure-storage-blob:${azureBlobVersion}"

    // Azure Event Hubs
    implementation "com.azure:azure-messaging-eventhubs:${azureEventHubsVersion}"

    // WebSocket
    implementation 'org.springframework.boot:spring-boot-starter-websocket'

    // Test dependencies
    testImplementation 'org.springframework.boot:spring-boot-starter-test'
    testRuntimeOnly 'com.h2database:h2'
    testImplementation('it.ozimov:embedded-redis:0.7.3') {
        exclude group: 'org.slf4j', module: 'slf4j-simple'
    }
}
